-- do a quick little check for the exe file
if not srb2p return end

freeslot("sfx_dthalt","sfx_hibidm","sfx_jmpalt","sfx_cleave","sfx_suptrn","sfx_burst1","sfx_ntgood","sfx_cntout","sfx_nowory","sfx_damghi","sfx_hibitg","sfx_npower","sfx_fbtter","sfx_goeasy","sfx_otough","sfx_winths","sfx_rogert","sfx_igotit","sfx_headon","sfx_itends")
freeslot("SPR2_SLSH","SPR2_HKST","SPR2_CRCH")

-- Define our base character's stats!

/*

todo: revamp legacyhibiki's standard attack; give nadiya and mikado their own.
add two custom skills per character, one physical/support/passive, one magic.
fix up vulnerabilities.

*/
VFX_freeslotC("legacyhibiki")
charStats["legacyhibiki"] = {

		-- GENERAL

		name = "Hibiki",		-- This is only for bots / enemies
		basehp = 61,			-- base HP for level 1 (Cannot be <= 0)
		basesp = 32,			-- base SP for level 1 (Can be 0, but not < 0!)
		persona = "none_legacyhibiki",		-- Persona to use
		melee_natk = "legacyhibiki_atk",	-- normal melee attack
		supercolor_start = SKINCOLOR_SUPER_BONFIRE_1,

		-- Normal attack attributes
		-- Scales with game difficulty
		atk = 35,	-- power (generally < 50)
		acc = 85,	-- accuracy (%)
		crit = 14,	-- crit rate (%)
		
		wep = "limiter_01",
		weptype = WPT_LIMITERS,

		-- ANIMS
		-- Anims are built like this:
		-- {SPR_SPRITE, frame1, frame2, frame3, ... , duration between each frame, ["SPR2_CONST"]}
		-- (SPR2 must be a string, and is optional. Only for use with SPR_PLAY)

		-- Note: As of Beta 1.0.0, not all animations are implemented
		-- (* = unimplemented)

		anim_stand = 		{SPR_PLAY, A, 8, "SPR2_STND"},					-- standing
		anim_stand_hurt =	{SPR_PLAY, A, 1, "SPR2_STND"},					-- standing (low HP) *
		anim_stand_bored =	{SPR_PLAY, A, 8, "SPR2_STND"},					-- standing (occasionally plays after anim_stand has played several times)
		anim_guard = 		{SPR_PLAY, A, 1, "SPR2_CRCH"},					-- guarding
		anim_move =			{SPR_PLAY, A, 2, "SPR2_WALK"},	-- moving
		anim_run =			{SPR_PLAY, A, 2, "SPR2_RUN_"},	-- guess what
		anim_atk =			{SPR_PLAY, A, 2, "SPR2_ROLL"},			-- attacking
		anim_aoa_end =		{SPR_PLAY, A, 2, "SPR2_JUMP"},			-- jumping out of all-out attack
		anim_hurt =			{SPR_PLAY, A, 35, "SPR2_PAIN"},					-- taking damage
		anim_getdown =		{SPR_PLAY, A, 1, "SPR2_PAIN"},					-- knocked down from weakness / crit *
		anim_downloop =		{SPR_PLAY, A, 1, "SPR2_SHIT"},					-- is down
		anim_getup =		{SPR_PLAY, A, 1, "SPR2_HKST"},			-- gets up from down
		anim_death =		{SPR_PLAY, A, 30, "SPR2_DEAD"},					-- dies
		anim_revive =		{SPR_PLAY, A, 1, "SPR2_HKST"},			-- gets revived
		
		anim_special1 = 	{SPR_PLAY, A, TICRATE, "SPR2_SLSH"},

		-- VOICES
		-- Possible list of voices
		-- vfx_action = {"sfx_voice1", "sfx_voice2", [...], "sfx_voicen"}

		-- ...In the case of kanade, she's silent, but I will leave these here for reference!

		vfx_summon = {"sfx_suptrn"},	-- Summoning Persona to use a Skill
        vfx_skill = {"sfx_cleave","sfx_burst1"},		-- Used a Skill
        vfx_item = {"sfx_jmpalt"},		-- Used an item
        vfx_hurt = {"sfx_hurt1","sfx_hurt2"},		-- Sustained damage
        vfx_hurtx = {"sfx_dthalt","sfx_ntgood"},		-- Sustained heavy damage / Critical hit / Weakness
        vfx_die = {"sfx_damghi"},		-- Death
        vfx_heal = {"sfx_nowory"},		-- Healed by teammate
        vfx_healself = {},	-- Healed self
        vfx_kill = {"sfx_igotit"},		-- Killed an enemy
        vfx_1more = {"sfx_headon"},		-- Performed 1more
        vfx_crit = {"sfx_itends"},		-- Cut-in for Weakness/Critical Hit
        vfx_aoaask = {"sfx_hibitg"},	-- Ask to All-Out Attack
        vfx_aoado = {"sfx_rogert"},		-- Performing All-Out Attack
        vfx_aoarelent = {"sfx_goeasy"},	-- Relenting from All-Out Attack
        vfx_miss = {},		-- Missed attack
        vfx_dodge = {"sfx_hibidm"},		-- Dodged enemy attack
        vfx_win = {"sfx_otough"},		-- Battle won
        vfx_levelup = {"sfx_fbtter","sfx_npower"},	-- Level Up!


		-- HUD DEFINTIIONS

		icon = "ICO_HIBI",			-- head icon for character select
		hudbust = "HIBI_H",			-- patch to draw on the stat hud
		hudaoa = "H_HIBIAOA",		-- patch for all out attack hud
		aoa_quote = "Let's go in for \nthe kill.",
		hudcutin = "HIBI_A",		-- cut in frames prefix

		-- Tip to display on the character select.
		-- Give insight on their skill type and their strengths/weaknesses in battle!
		tip = "Makes good use of his knife and \npyrokinesis. He has great damage \npotential, though his lower health and \nlack of healing skills really bring \nhim down.",
}

personaList["none_legacyhibiki"] = {
		-- GENERAL
		name = "none_legacyhibiki",	-- Name of the Persona
		arcana = nil,			-- Arcana (unused in Beta 1.0.0, can be left nil as well)

		sprite = SPR_PSN0,		-- Unused outside of debugging purposes for shortcuts. Can be left nil
		startframe = 0,			-- Unused outside of debugging purposes for shortcuts. Can be left nil

		-- Animations function the same way they do for players. (In Kanade's case, she's so good she doesn't need one, so let's make it invisible)
		anim_idle = 	{SPR_NULL, A},	-- Idle animation when summoned in the menu
		anim_atk = 		{SPR_NULL, A},	-- Animation when attacking

		-- Stats (at level 10)
		-- Remember that stats naturally cap at 99.
		strength = 10,
		magic = 6,
		endurance = 7,
		luck = 3,
		agility = 9,

		-- Affinities (weak, resist, block, drain)
		weak = ATK_ICE,
		resist = ATK_FIRE|ATK_BLESS,
		--drain = ATK_FIRE,

		skills = {
					{"cleave", 1}, {"agi", 1},
					{"counter", 12}, {"sukukaja", 16},
					{"maragi", 18}, {"eiha", 22},
					{"tarukaja", 25}, {"twin slash", 28},

					{"eiga", 31, "eiha"},
					{"giant slice", 37, "cleave"},
					{"agilao", 42, "agi"},
					{"danse macabre", 46, "twin slash"},
					{"masukukaja", 50, "sukukaja"},
					{"eigaon", 52, "eiga"},

					{"matarukaja", 54, "tarukaja"},
					{"agidyne", 56, "agilao"},
					{"blazing spirit", 58, "counter"},
					{"deathbound", 60, "danse macabre"},
					{"maragidyne", 64, "maragi"},

					{"brave blade", 73, "giant slice"},
				},
}

attackDefs["legacyhibiki_atk"] = {

	name = "Knife Dash",
	type = ATK_SLASH,
	power = 60,
	accuracy = 90,
	costtype = nil,
	status = nil,
	statuschance = 0,
	cost = 0,
	physical = true,
	desc = "Light Slash damage to one foe.",
	target = TGT_ENEMY,
	anim = function(mo, targets, hittargets, timer)
		local t = hittargets[1]
		local ang = R_PointToAngle2(mo.x, mo.y, t.x, t.y)
		local g = P_SpawnGhostMobj(mo)
		local cx = t.x + 168*cos(t.angle + ANG1*20)
		local cy = t.y + 168*sin(t.angle + ANG1*20)
		g.colorized = true
		if (timer == 1)
			ANIM_set(mo,mo.anim_special1)
			CAM_goto(server.P_BattleStatus[mo.battlen].cam, cx, cy, t.z + FRACUNIT*30, 70*FRACUNIT)
			CAM_angle(server.P_BattleStatus[mo.battlen].cam, R_PointToAngle2(cx, cy, t.x, t.y))
			P_InstaThrust(mo,ang,FRACUNIT*100)
		elseif timer == 7
			playSound(mo.battlen, sfx_slash)
			damageObject(t)
			if not t.plyr
				createSplat(mo)
				createSplat(mo)
			end
		elseif timer < 30 and timer >= 18
			ANIM_set(mo,mo.anim_stand)
			P_InstaThrust(mo,ang,0)
		elseif (timer == 30)
			return true
		end
       end,
}

attackDefs["blazing spirit"] = {
		name = "Blazing Spirit",
		type = ATK_PASSIVE|ATK_CURSE|ATK_BLESS,
		desc = "Endure all bless/curse \ninsta-kill attacks with \n1hp left.",
		passive = PSV_ENDURE,
		accuracy = 100,
		power = 0,
}

--unused nadiya persona moveset

/*
charStats["nadiya"] = {

		-- GENERAL

		name = "Nadiya",		-- This is only for bots / enemies
		basehp = 42,			-- base HP for level 1 (Cannot be <= 0)
		basesp = 40,			-- base SP for level 1 (Can be 0, but not < 0!)
		persona = "nadiya",		-- Persona to use
		melee_natk = "legacyhibiki_atk",	-- normal melee attack

		-- Normal attack attributes
		-- Scales with game difficulty
		atk = 25,	-- power (generally < 50)
		acc = 90,	-- accuracy (%)
		crit = 15,	-- crit rate (%)

		-- ANIMS
		-- Anims are built like this:
		-- {SPR_SPRITE, frame1, frame2, frame3, ... , duration between each frame, ["SPR2_CONST"]}
		-- (SPR2 must be a string, and is optional. Only for use with SPR_PLAY)

		-- Note: As of Beta 1.0.0, not all animations are implemented
		-- (* = unimplemented)

		anim_stand = 		{SPR_PLAY, A, 8, "SPR2_STND"},					-- standing
		anim_stand_hurt =	{SPR_PLAY, A, 1, "SPR2_STND"},					-- standing (low HP) *
		anim_stand_bored =	{SPR_PLAY, A, 8, "SPR2_STND"},					-- standing (occasionally plays after anim_stand has played several times)
		anim_guard = 		{SPR_PLAY, A, 1, "SPR2_STND"},					-- guarding
		anim_move =			{SPR_PLAY, A, 2, "SPR2_WALK"},	-- moving
		anim_run =			{SPR_PLAY, A, 2, "SPR2_RUN_"},	-- guess what
		anim_atk =			{SPR_PLAY, A, 2, "SPR2_ROLL"},			-- attacking
		anim_aoa_end =		{SPR_PLAY, A, 2, "SPR2_JUMP"},			-- jumping out of all-out attack
		anim_hurt =			{SPR_PLAY, A, 35, "SPR2_DEAD"},					-- taking damage
		anim_getdown =		{SPR_PLAY, A, 1, "SPR2_CNT1"},					-- knocked down from weakness / crit *
		anim_downloop =		{SPR_PLAY, A, 1, "SPR2_CNT1"},					-- is down
		anim_getup =		{SPR_PLAY, A, 1, "SPR2_ROLL"},			-- gets up from down
		anim_death =		{SPR_PLAY, A, 30, "SPR2_PAIN"},					-- dies
		anim_revive =		{SPR_PLAY, A, 1, "SPR2_ROLL"},			-- gets revived
		
		anim_special1 = 	{SPR_PLAY, A, TICRATE, "SPR2_SLSH"},

		-- VOICES
		-- Possible list of voices
		-- vfx_action = {"sfx_voice1", "sfx_voice2", [...], "sfx_voicen"}

		-- ...In the case of kanade, she's silent, but I will leave these here for reference!

		vfx_summon = {"sfx_sumnad"},	-- Summoning Persona to use a Skill
        vfx_skill = {"sfx_ciaona"},		-- Used a Skill
        vfx_item = {},		-- Used an item
        vfx_hurt = {},		-- Sustained damage
        vfx_hurtx = {"sfx_keepit"},		-- Sustained heavy damage / Critical hit / Weakness
        vfx_die = {"sfx_runout"},		-- Death
        vfx_heal = {},		-- Healed by teammate
        vfx_healself = {},	-- Healed self
        vfx_kill = {"sfx_rgttgt"},		-- Killed an enemy
        vfx_1more = {},		-- Performed 1more
        vfx_crit = {"sfx_cutin1"},		-- Cut-in for Weakness/Critical Hit
        vfx_aoaask = {},	-- Ask to All-Out Attack
        vfx_aoado = {"sfx_hrgoes"},		-- Performing All-Out Attack
        vfx_aoarelent = {},	-- Relenting from All-Out Attack
        vfx_miss = {},		-- Missed attack
        vfx_dodge = {},		-- Dodged enemy attack
        vfx_win = {"sfx_overdo"},		-- Battle won
        vfx_levelup = {},	-- Level Up!


		-- HUD DEFINTIIONS

		icon = "ICO_NADI",			-- head icon for character select
		hudbust = "SIGNA0",			-- patch to draw on the stat hud
		hudaoa = "H_NADIAOA",		-- patch for all out attack hud
		aoa_quote = "Let's beat them while\n we have the chance!",
		hudcutin = "XTRAB0",		-- cut in frames prefix

		-- Tip to display on the character select.
		-- Give insight on their skill type and their strengths/weaknesses in battle!
		tip = "Has powerful Bless skills at \nher disposal, if a bit weaker in the\n health department. Heal, bless and\n spear your way to a victory.",
}


personaList["nadiya"] = {
		-- GENERAL
		name = "nadiya",	-- Name of the Persona
		arcana = nil,			-- Arcana (unused in Beta 1.0.0, can be left nil as well)

		sprite = nil,		-- Unused outside of debugging purposes for shortcuts. Can be left nil
		startframe = nil,			-- Unused outside of debugging purposes for shortcuts. Can be left nil

		-- Animations function the same way they do for players. (In Kanade's case, she's so good she doesn't need one, so let's make it invisible)
		anim_idle = 	{SPR_NULL, A},	-- Idle animation when summoned in the menu
		anim_atk = 		{SPR_NULL, A},	-- Animation when attacking

		-- Stats (at level 10)
		-- Remember that stats naturally cap at 99.
		strength = 3,
		magic = 11,
		endurance = 6,
		luck = 8,
		agility = 4,

		-- Affinities (weak, resist, block, drain)
		weak = ATK_WIND|ATK_ELEC,
		resist = ATK_FIRE|ATK_PSY|ATK_CURSE,
		drain = ATK_BLESS,

		skills = {
					{"dia", 1}, {"kouha", 1},
					{"triple down", 12}, {"marin karin", 16},
					{"makouha", 18}, {"rakunda", 22},
					{"hama", 25}, {"media", 28},

					{"diarama", 30, "dia"},
					{"kouga", 31, "kouha"},
					{"makouga",34,"makouha"},
					{"snap", 37, "triple down"},
					{"mediarama", 42, "media"},
					{"sexy dance", 46, "marin karin"},
					{"marakunda", 50, "rakunda"},
					{"kougaon", 52, "kouga"},
					
					{"makougaon", 53, "makouga"},
					{"matarukaja", 54, "tarukaja"},
					{"mediarahan", 55, "mediarama"},
					{"ziodyne", 56, "diarama"},
					{"debilitate", 58, "marakunda"},
					{"vile assault", 60, "snap"},
					{"mahamaon", 64, "hamaon"},

					{"samsara", 73, "mahamaon"},
				},
}

charStats["mikado"] = {

		-- GENERAL

		name = "Mikado",		-- This is only for bots / enemies
		basehp = 36,			-- base HP for level 1 (Cannot be <= 0)
		basesp = 50,			-- base SP for level 1 (Can be 0, but not < 0!)
		persona = "mikado",		-- Persona to use
		melee_natk = "legacyhibiki_atk",	-- normal melee attack

		-- Normal attack attributes
		-- Scales with game difficulty
		atk = 32,	-- power (generally < 50)
		acc = 87,	-- accuracy (%)
		crit = 20,	-- crit rate (%)

		-- ANIMS
		-- Anims are built like this:
		-- {SPR_SPRITE, frame1, frame2, frame3, ... , duration between each frame, ["SPR2_CONST"]}
		-- (SPR2 must be a string, and is optional. Only for use with SPR_PLAY)

		-- Note: As of Beta 1.0.0, not all animations are implemented
		-- (* = unimplemented)

		anim_stand = 		{SPR_PLAY, A, 8, "SPR2_STND"},					-- standing
		anim_stand_hurt =	{SPR_PLAY, A, 1, "SPR2_STND"},					-- standing (low HP) *
		anim_stand_bored =	{SPR_PLAY, A, 8, "SPR2_STND"},					-- standing (occasionally plays after anim_stand has played several times)
		anim_guard = 		{SPR_PLAY, A, 1, "SPR2_STND"},					-- guarding
		anim_move =			{SPR_PLAY, A, 2, "SPR2_WALK"},	-- moving
		anim_run =			{SPR_PLAY, A, 2, "SPR2_RUN_"},	-- guess what
		anim_atk =			{SPR_PLAY, A, 2, "SPR2_ROLL"},			-- attacking
		anim_aoa_end =		{SPR_PLAY, A, 2, "SPR2_JUMP"},			-- jumping out of all-out attack
		anim_hurt =			{SPR_PLAY, A, 35, "SPR2_DEAD"},					-- taking damage
		anim_getdown =		{SPR_PLAY, A, 1, "SPR2_CNT1"},					-- knocked down from weakness / crit *
		anim_downloop =		{SPR_PLAY, A, 1, "SPR2_CNT1"},					-- is down
		anim_getup =		{SPR_PLAY, A, 1, "SPR2_ROLL"},			-- gets up from down
		anim_death =		{SPR_PLAY, A, 30, "SPR2_PAIN"},					-- dies
		anim_revive =		{SPR_PLAY, A, 1, "SPR2_ROLL"},			-- gets revived
		
		anim_special1 = 	{SPR_PLAY, A, TICRATE, "SPR2_SLSH"},

		-- VOICES
		-- Possible list of voices
		-- vfx_action = {"sfx_voice1", "sfx_voice2", [...], "sfx_voicen"}

		-- ...In the case of kanade, she's silent, but I will leave these here for reference!

		vfx_summon = {},	-- Summoning Persona to use a Skill
        vfx_skill = {},		-- Used a Skill
        vfx_item = {},		-- Used an item
        vfx_hurt = {},		-- Sustained damage
        vfx_hurtx = {},		-- Sustained heavy damage / Critical hit / Weakness
        vfx_die = {},		-- Death
        vfx_heal = {},		-- Healed by teammate
        vfx_healself = {},	-- Healed self
        vfx_kill = {},		-- Killed an enemy
        vfx_1more = {},		-- Performed 1more
        vfx_crit = {},		-- Cut-in for Weakness/Critical Hit
        vfx_aoaask = {},	-- Ask to All-Out Attack
        vfx_aoado = {},		-- Performing All-Out Attack
        vfx_aoarelent = {},	-- Relenting from All-Out Attack
        vfx_miss = {},		-- Missed attack
        vfx_dodge = {},		-- Dodged enemy attack
        vfx_win = {},		-- Battle won
        vfx_levelup = {},	-- Level Up!


		-- HUD DEFINTIIONS

		icon = "ICO_NADI",			-- head icon for character select
		hudbust = "SIGNA0",			-- patch to draw on the stat hud
		hudaoa = "XTRAB0",		-- patch for all out attack hud
		aoa_quote = "Your call, leader! Let's \nget rid of 'em!",
		hudcutin = "XTRAB0",		-- cut in frames prefix

		-- Tip to display on the character select.
		-- Give insight on their skill type and their strengths/weaknesses in battle!
		tip = "Uses extremely powerful curse \nskills, but leaves a lot to\n be desired in raw health. Inflict status\n effects on your foes.",
}


personaList["mikado"] = {
		-- GENERAL
		name = "mikado",	-- Name of the Persona
		arcana = nil,			-- Arcana (unused in Beta 1.0.0, can be left nil as well)

		sprite = nil,		-- Unused outside of debugging purposes for shortcuts. Can be left nil
		startframe = nil,			-- Unused outside of debugging purposes for shortcuts. Can be left nil

		-- Animations function the same way they do for players. (In Kanade's case, she's so good she doesn't need one, so let's make it invisible)
		anim_idle = 	{SPR_NULL, A},	-- Idle animation when summoned in the menu
		anim_atk = 		{SPR_NULL, A},	-- Animation when attacking

		-- Stats (at level 10)
		-- Remember that stats naturally cap at 99.
		strength = 12,
		magic = 6,
		endurance = 5,
		luck = 4,
		agility = 10,

		-- Affinities (weak, resist, block, drain)
		weak = ATK_NUCLEAR|ATK_ELEC,
		resist = ATK_FIRE|ATK_PSY|ATK_SLASH,
		drain = ATK_CURSE,

		skills = {
					{"lunge", 1}, {"eiha", 1},
					{"garu", 4}, {"foolish whisper", 16},
					{"maeiha", 18}, {"provoke", 20},
					{"mudo", 22}, {"makanda", 26},

					{"sonic punch", 27, "lunge"},
					{"eiga", 28, "eiha"},
					{"maeiga",32,"maeiha"},
					{"makajamon", 35, "foolish whisper"},
					{"mamakanda", 38, "makanda"},
					{"infuriate", 40, "provoke"},
					{"mudoon", 43, "mudo"},
					{"eigaon", 47, "eiga"},
					
					{"maeigaon", 48, "maeiga"},
					{"garudyne", 50, "garu"},
					{"agneyastra", 52, "sonic punch"},
					{"mamudoon", 53, "mudoon"},
					{"debilitate", 56, "mamakanda"},
					{"megaton raid", 59, "agneyastra"},

					{"road roller", 73, "megaton raid"},
					
					{"die for me", 75, "mamudoon"},
				},
}
*/